"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateStringImport = void 0;
/**
 * Generates typescript code for a string import.
 *
 * @export
 * @param {StringImport} imp
 * @param {TypescriptGenerationOptions} { stringQuoteStyle, eol }
 * @returns {string}
 */
function generateStringImport(imp, _a) {
    var stringQuoteStyle = _a.stringQuoteStyle, eol = _a.eol;
    return "import " + stringQuoteStyle + imp.libraryName + stringQuoteStyle + eol;
}
exports.generateStringImport = generateStringImport;
