"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FunctionDeclaration = void 0;
/**
 * Function declaration. Like the MethodDeclaration it contains the base info about the function
 * and additional stuff.
 *
 * @export
 * @class FunctionDeclaration
 * @implements {CallableDeclaration}
 * @implements {ExportableDeclaration}
 */
var FunctionDeclaration = /** @class */ (function () {
    function FunctionDeclaration(name, isExported, isAsync, type, start, end) {
        this.name = name;
        this.isExported = isExported;
        this.isAsync = isAsync;
        this.type = type;
        this.start = start;
        this.end = end;
        this.parameters = [];
        this.variables = [];
    }
    return FunctionDeclaration;
}());
exports.FunctionDeclaration = FunctionDeclaration;
