"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PropertyDeclaration = void 0;
/**
 * Property declaration that contains its visibility.
 *
 * @export
 * @class PropertyDeclaration
 * @implements {ScopedDeclaration}
 * @implements {TypedDeclaration}
 */
var PropertyDeclaration = /** @class */ (function () {
    function PropertyDeclaration(name, visibility, type, isOptional, isStatic, start, end) {
        this.name = name;
        this.visibility = visibility;
        this.type = type;
        this.isOptional = isOptional;
        this.isStatic = isStatic;
        this.start = start;
        this.end = end;
    }
    return PropertyDeclaration;
}());
exports.PropertyDeclaration = PropertyDeclaration;
