"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TypeAliasDeclaration = void 0;
/**
 * Alias declaration that can be exported. Is used to defined types.
 * (e.g. type Foobar = { name: string };)
 *
 * @export
 * @class TypeAliasDeclaration
 * @implements {ExportableDeclaration}
 */
var TypeAliasDeclaration = /** @class */ (function () {
    function TypeAliasDeclaration(name, isExported, start, end) {
        this.name = name;
        this.isExported = isExported;
        this.start = start;
        this.end = end;
    }
    return TypeAliasDeclaration;
}());
exports.TypeAliasDeclaration = TypeAliasDeclaration;
