"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VariableDeclaration = void 0;
/**
 * Variable declaration. Is contained in a method or function, or can be exported.
 *
 * @export
 * @class VariableDeclaration
 * @implements {ExportableDeclaration}
 * @implements {TypedDeclaration}
 */
var VariableDeclaration = /** @class */ (function () {
    function VariableDeclaration(name, isConst, isExported, type, start, end) {
        this.name = name;
        this.isConst = isConst;
        this.isExported = isExported;
        this.type = type;
        this.start = start;
        this.end = end;
    }
    return VariableDeclaration;
}());
exports.VariableDeclaration = VariableDeclaration;
