"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.traverseAst = void 0;
function traverseAst(root, visit, skipContents) {
    var stack = root.getChildren();
    for (var node = stack.shift(); node !== undefined; node = stack.shift()) {
        visit(node);
        if (skipContents && skipContents(node)) {
            continue;
        }
        stack.unshift.apply(stack, node.getChildren());
    }
}
exports.traverseAst = traverseAst;
